osl::eval::ml::PawnAdvanceAll Struct Reference

`#include <minorPiece.h>`

Inheritance diagram for osl::eval::ml::PawnAdvanceAll:

## Static Public Member Functions

template<osl::Player P>
static void | adjust (int index, MultiInt &values)
template<Player P>
static void | evalWithUpdateBang (const NumEffectState &state, Move moved, MultiInt &last_value)
Static Public Member Functions inherited from osl::eval::ml::PawnAdvanceUtil
static int | index (Player P, Square pos)
static bool | cantAdvance (const NumEffectState &state, const Piece pawn)
static bool | cantAdvance (const NumEffectState &state, const PtypeO ptypeO, const Square position)

## Detailed Description

Definition at line 518 of file minorPiece.h.

## Member Function Documentation

## adjust()

template<osl::Player P>

void osl::eval::ml::PawnAdvanceAll::adjust | ( | int | index,
|  | MultiInt & | values )

inline static

Definition at line 242 of file minorPiece.cc.

References osl::BLACK, osl::eval::ml::PawnAdvanceUtil::index(), and osl::eval::ml::PawnAdvance::table.

Referenced by evalWithUpdateBang().

## evalWithUpdateBang()

template<osl::Player P>

template void osl::eval::ml::PawnAdvanceAll::evalWithUpdateBang< WHITE > | ( | const NumEffectState & | state,
|  | Move | moved,
|  | MultiInt & | last_value )

static

Definition at line 252 of file minorPiece.cc.

References adjust(), osl::alt(), osl::eval::ml::PawnAdvanceUtil::cantAdvance(), osl::captured(), osl::Move::capturePtype(), osl::Move::capturePtypeO(), osl::Move::from(), osl::eval::ml::PawnAdvanceUtil::index(), osl::Move::isDrop(), osl::Piece::isPlayerPtype(), osl::PAWN, osl::SimpleState::pieceAt(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, osl::Move::ptypeO(), osl::Piece::square(), and osl::Move::to().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

The documentation for this struct was generated from the following files:

- minorPiece.h
- minorPiece.cc